Subject: RE: [Isis-wg] tlv codepoints ...

From: Les Ginsberg <[email-masked]>
Date: Tue, 14 Aug 2001 16:04:08 -0700

Tony -

The LSPBuffersize option is NOT included in IIH PDUs. So the definition
should look like:

LSPBufferSize            14  n    y    n     ISO 10589 Draft

Also, while I do not object to some other ordering scheme than straight
numerical, I haven't figured out the algorithm you used to order/group the
TLVs. Is this one of those pattern recognition tests? Or do you simply feel
that chaos is a good thing?

   Les

> -----Original Message-----
> From: Tony Przygienda [mailto:[email-masked]]
> Sent: Tuesday, August 14, 2001 2:34 PM
> To: [email-masked]
> Subject: [Isis-wg] tlv codepoints ...
> 
> 
> new version not submitted yet. Will wait 1-2 days on comments before
> putting out. numbers are _not_ sorted on purpose
> 
>     thanks
> 
>     -- tony
> 
> 
> 
> 
> Internet Engineering Task Force                               T.
> Przygienda
> INTERNET DRAFT
> Redback
> 
> Aug 2001
>                        Reserved TLV Codepoints in ISIS
>                  <draft-ietf-isis-wg-tlv-codepoints-01.txt>
> 
> 
> 
> Status of This Memo
> 
>     This document is an Internet-Draft and is in full conformance with
>     all provisions of Section 10 of RFC2026.  Internet-Drafts are
> working
>     documents of the Internet Engineering Task Force (IETF), 
> its areas,
>     and its working groups.  Note that other groups may also 
> distribute
>     working documents as Internet-Drafts.
> 
>     Internet-Drafts are draft documents valid for a maximum of six
> months
>     and may be updated, replaced, or obsoleted by other documents at
>     any time.  It is inappropriate to use Internet-Drafts as reference
>     material or to cite them other than as "work in progress."
> 
>     The list of current Internet-Drafts can be accessed at
>     http://www.ietf.org/ietf/1id-abstracts.txt
> 
>     The list of Internet-Draft Shadow Directories can be accessed at
>     http://www.ietf.org/shadow.html.
> 
>     Copyright Notice Copyright (C) The Internet Society (2000).  All
>     Rights Reserved.
> 
> 
> 
> Abstract
> 
>     This draft describes implementation codepoints within
>     IS-IS [ISO90 , Cal90a , Cal90b ] used today by several ISPs for
>     routing within their clouds.  IS-IS is an interior gateway routing
>     protocol developed originally by OSI and used with IP 
> extensions as
>     IGP. This draft summarizes all TLV codepoints that are 
> being used by
> 
>     the protocol and its pending extensions.
> 
> 
> Przygienda                     Expires Feb 2002
> [Page 1]
> 
> 
> Internet Draft                    TLV Codepoints
> Aug 2001
> 
> 1.  TLV Codepoints reserved
> 
> ______________________________________________________________
> __________
> 
>      Name                 Value   IIH   LSP  SNP   Status
> 
> 
> ______________________________________________________________
> __________
> 
>      Area Addresses            1  y     y    n     ISO 10589
>      IIS Neighbors             2  n     y    n     ISO 10589
>      ES Neighbors              3  n     y    n     ISO 10589
>      Part.  DIS                4  n     y    n     ISO 10589
>      Prefix Neighbors          5  n     y    n     ISO 10589
>      IIS Neighbors             6  y     n    n     ISO 10589
>      Padding                   8  y     n    n     ISO 10589
>      LSP Entries               9  n     n    y     ISO 10589
>      Authentication           10  y     y    y     ISO 10589
> 
> 
>      Opt.  Checksum           12  y     n    y     IETF-draft
>      TE IIS Neigh.            22  n     y    n     IETF-draft
>      MT-ISN                  222  n     y    n     IETF-draft
> 
> 
>      LSPBufferSize            14  y?    y    n     ISO 10589 
> Rev 2 Draft
> 
>      DECnet Phase IV          42  ?     ?    ?     DEC (ancient)
> 
> 
>      IP Int.  Reach          128  n     y    n     RFC 1195
>      IPv6 IP. Reach          236  n     y    n     IETF-draft
> 
> 
>      Prot.  Supported        129  y     y    n     RFC 1195
>      M-Topologies            229  y     y    n     IETF-draft
> 
> 
>      IP Ext.  Address        130  n     y    n     RFC 1195
>      IDRPI                   131  n     y    y     RFC 1195
> 
> 
>      IP Intf.  Address       132  y     y    n     RFC 1195
>      IPv6 Intf.  Addr.       232  y     y    n     IETF-draft
> 
> 
>      illegal                 133  n     n    n     RFC 1195 (not used)
>      Router ID               134  n     y    n     IETF-draft
> 
> 
>      TE IP. Reach            135  n     y    n     IETF-draft
>      MT IP. Reach            235  n     y    n     IETF-draft
> 
> 
>      Dynamic Name            137  n     y    n     RFC 2763
>      3-Way hellos            240  y     n    n     IETF-draft
> 
> 
> 
> Przygienda                     Expires Feb 2002
> [Page 2]
> 
> Internet Draft                    TLV Codepoints
> Aug 2001
> 
> 2.  Assignment Procedures
> 
>     This document is provided to avoid possible future conflicts in
>     assignment of TLV numbers.  It does not constitute or 
> represent any
>     standard or authority assigning TLV numbers.  TLV 
> assignment happens
> 
>     on a shared, informational basis between the ISO, SIF and the IETF
>     working groups.  The core ISIS protocol is being specified in the
>     ISO standards body, IP extensions to it however are 
> products of the
>     ISIS working group in IETF. Since ISO does not provide a numbering
>     authority and IANA is only responsible for IP related 
> coding points,
> 
>     no plausible central authority to assign TLV numbers exists as of
>     today.
> 
>     This document will be periodically updated by never 
> versions in the
>     fashion of [RP94 ] and successors.
> 
> 
> 
> 3.  Acknowledgments
> 
>     Thanks to Les Ginsberg and others for pointing out details and
>     improving this work.
> 
> 
> 
> 4.  Security Consideration
> 
>     ISIS security applies to the work presented.  No specific security
>     issues are being introduced.
> 
> References
> 
>     [Cal90a]  R. Callon.  OSI ISIS Intradomain Routing Protocol.
>               INTERNET-RFC, Internet Engineering Task Force, February
>               1990.
> 
> 
>     [Cal90b]  R. Callon.  Use of OSI ISIS for Routing in 
> TCP/IP and Dual
> 
>               Environments.  INTERNET-RFC, Internet Engineering Task
>               Force, December 1990.
> 
> 
>     [ISO90]   ISO.  Information Technology - Telecommunications and
>               Information Exchange between Systems - 
> Intermediate System
> 
>               to Intermediate System Routing Exchange Protocol for
>               Use in Conjunction with the Protocol for Providing the
>               Connectionless-Mode Network Service.  ISO, 1990.
> 
> 
>     [RP94]    J. Reynolds and J. Postel.  Rfc 1700, Assigned Numbers.
>               Internet Engineering Task Force, October 1994.
> 
> 
> 
> Przygienda                     Expires Feb 2002
> [Page 3]
> 
> 
> _______________________________________________
> Isis-wg mailing list  -  [email-masked]
> http://external.juniper.net/mailman/listinfo/isis-wg
> 
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg